> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Automateワークフローを開始

> ワークフローのアクションIDとファイルIDを使用して、Automateワークフローを手動で開始します。

<Note>
  「[Box SDKのバージョニング戦略](/ja/guides/tooling/sdks/sdk-versioning/)について詳しく学ぶ。」
</Note>


## OpenAPI

````yaml box-openapi-v2026.0-jp.json POST /automate_workflows/{workflow_id}/start
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box
    Platform](https://developer.box.com)では、[Box](https://box.com)内に保存されているコンテンツへのアクセス権限を付与する機能が提供されています。また、ファイルとフォルダの基本操作、会社内のユーザーの管理、リーガルホールドやリテンションポリシーなどの複雑なトピックのためのエンドポイントも提供されています。
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 92c221bf9d
servers:
  - url: https://api.box.com/2.0
    description: Box Platform APIサーバー。
security:
  - OAuth2Security: []
tags:
  - name: Automateワークフロー
    description: Automateワークフローのアクションをリストアップして手動で開始するためのエンドポイント。
    x-box-tag: automate_workflows
  - name: Box Noteに変換
    description: サポート対象のソースコンテンツ (マークダウンなど) からBox Notesを作成します。
    x-box-tag: notes
  - name: Query
    description: Query for your items.
    x-box-tag: query
externalDocs:
  description: Box Developerドキュメント。
  url: https://developer.box.com
paths:
  /automate_workflows/{workflow_id}/start:
    post:
      tags:
        - Automateワークフロー
      summary: Automateワークフローを開始
      description: ワークフローのアクションIDとファイルIDを使用して、Automateワークフローを手動で開始します。
      operationId: post_automate_workflows_id_start_v2026.0
      parameters:
        - name: workflow_id
          in: path
          description: ワークフローのID。
          required: true
          schema:
            type: string
          example: '12345'
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AutomateWorkflowStartRequest'
      responses:
        '204':
          description: ワークフローを開始します。
        default:
          description: 予期しないクライアントエラー。
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: curl
          label: Automateワークフローを開始
          source: >-
            curl -i -X POST
            "https://api.box.com/2.0/automate_workflows/12345/start" \
                 -H "box-version: 2026.0" \
                 -H "authorization: Bearer <ACCESS_TOKEN>" \
                 -H "content-type: application/json" \
                 -d '{
                   "workflow_action_id": "981",
                   "file_ids": ["123"]
                 }'
        - lang: dotnet
          label: Automateワークフローを開始
          source: >-
            await
            adminClient.AutomateWorkflows.CreateAutomateWorkflowStartV2026R0Async(workflowId:
            workflowAction.Workflow.Id, requestBody: new
            AutomateWorkflowStartRequestV2026R0(workflowActionId:
            workflowAction.Id, fileIds: Array.AsReadOnly(new []
            {workflowFileId})));
        - lang: swift
          label: Automateワークフローを開始
          source: >-
            try await
            adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(workflowId:
            workflowAction.workflow.id, requestBody:
            AutomateWorkflowStartRequestV2026R0(workflowActionId:
            workflowAction.id, fileIds: [workflowFileId]))
        - lang: java
          label: Automateワークフローを開始
          source: >-
            adminClient.getAutomateWorkflows().createAutomateWorkflowStartV2026R0(workflowAction.getWorkflow().getId(),
            new AutomateWorkflowStartRequestV2026R0(workflowAction.getId(),
            Arrays.asList(workflowFileId)))
        - lang: node
          label: Automateワークフローを開始
          source: >-
            await
            adminClient.automateWorkflows.createAutomateWorkflowStartV2026R0(
              workflowAction.workflow.id,
              {
                workflowActionId: workflowAction.id,
                fileIds: [workflowFileId],
              } satisfies AutomateWorkflowStartRequestV2026R0,
            );
        - lang: python
          label: Automateワークフローを開始
          source: >-
            admin_client.automate_workflows.create_automate_workflow_start_v2026_r0(
                workflow_action.workflow.id, workflow_action.id, [workflow_file_id]
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    AutomateWorkflowStartRequest:
      description: Automateワークフローを開始するためのリクエスト本文。
      type: object
      properties:
        workflow_action_id:
          description: 選択したワークフローのトリガーに使用する、呼び出し可能なアクションID。
          type: string
          example: '981'
        file_ids:
          description: 選択したワークフローで処理するファイル。
          type: array
          items:
            type: string
            example: '123'
          example:
            - '123'
          minItems: 1
      required:
        - workflow_action_id
        - file_ids
      title: Automateワークフローの開始リクエスト
    ClientError:
      description: 一般的なエラー。
      type: object
      properties:
        type:
          description: 値は常に`error`になります。
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: レスポンスのHTTPステータス。
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: Box固有のエラーコード。
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: エラーについての短い説明メッセージ。
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            このエラーに関する追加コンテキストを含む自由形式のオブジェクト。使用できるフィールドは、エンドポイントごとに定義されています。`message`は唯一の例です。
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: このエラーの原因に関する詳細情報にリンクされたURL。
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: Boxサポートに連絡するときに使用できる、このレスポンスの一意の識別子。
          type: string
          example: abcdef123456
          nullable: false
      title: クライアントエラー
      x-box-resource-id: client_error_v2026.0
  securitySchemes:
    OAuth2Security:
      type: oauth2
      description: >-
        The access token received from the authorization server in the OAuth 2.0
        flow.
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Boxに格納されているすべてのファイルとフォルダの読み取り
            root_readwrite: Boxに格納されているすべてのファイルとフォルダの読み取りと書き込み
            manage_app_users: App Userのプロビジョニングと管理
            manage_managed_users: 管理対象ユーザーのプロビジョニングと管理
            manage_groups: 企業のグループの管理
            manage_webhook: APIを使用したプログラムによるWebhookの作成
            manage_enterprise_properties: Enterpriseのプロパティを管理
            manage_data_retention: データリテンションポリシーの管理
            manage_legal_hold: リーガルホールドの管理

````